import { lowerFirst } from "./lowerFirst.js";
import { skipSpinnerBlock, withSpinner } from "./spinners.js";
async function runOrSkip(label, skip, action) {
  if (skip) {
    skipSpinnerBlock(`Skipping ${lowerFirst(label)}.`);
  } else {
    return await withSpinner(label, action);
  }
}
export {
  runOrSkip
};
//# sourceMappingURL=runOrSkip.js.map