async function optionalDefault(value, getDefault) {
  if (value !== void 0) {
    return value;
  }
  if (typeof getDefault === "function") {
    return await getDefault();
  }
  return getDefault;
}
export {
  optionalDefault
};
//# sourceMappingURL=optionalDefault.js.map