import { InputValues } from '../../../../shared/inputs.js';
import 'octokit';

declare function createDotGitHubFiles({ email, funding, owner, repository, }: Pick<InputValues, "email" | "funding" | "owner" | "repository">): {
    "ISSUE_TEMPLATE.md": string;
    "PULL_REQUEST_TEMPLATE.md": string;
    "SECURITY.md": string;
    "renovate.json": string;
    "FUNDING.yml"?: string | undefined;
    "CODE_OF_CONDUCT.md": string;
    "CONTRIBUTING.md": string;
    "DEVELOPMENT.md": string;
};

export { createDotGitHubFiles };
