import { InputValues } from '../../../shared/inputs.js';
import 'octokit';

declare function createRootFiles(values: InputValues): Promise<{
    "vitest.config.ts"?: string | undefined;
    ".all-contributorsrc": string;
    ".eslintignore": string;
    ".eslintrc.cjs": string;
    ".gitignore": string;
    ".markdownlint.json": string;
    ".markdownlintignore": string;
    ".npmpackagejsonlintrc.json": string;
    ".nvmrc": string;
    ".prettierignore": string;
    ".prettierrc": string;
    ".release-it.json": string;
    "LICENSE.md": string;
    "cspell.json": string;
    "knip.jsonc": string;
    "package.json": string;
    "tsconfig.eslint.json": string;
    "tsconfig.json": string;
}>;

export { createRootFiles };
