import fs from "node:fs/promises";
async function readFundingIfExists() {
  try {
    return (await fs.readFile(".github/FUNDING.yml")).toString().split(":")[1]?.trim();
  } catch {
    return void 0;
  }
}
export {
  readFundingIfExists
};
//# sourceMappingURL=readFundingIfExists.js.map