import { PartialPackageData } from './types.js';

declare function readPackageData(): Promise<PartialPackageData>;
declare function removeDependencies(packageNames: string[], packageData: PartialPackageData): Promise<void>;
declare function removeDevDependencies(packageNames: string[], packageData: PartialPackageData): Promise<void>;

export { readPackageData, removeDependencies, removeDevDependencies };
