import * as prompts from "@clack/prompts";
function handleCancel() {
  prompts.cancel("Operation cancelled. Exiting - maybe another time? \u{1F44B}");
  process.exit(1);
}
function handlePromptCancel(value) {
  if (prompts.isCancel(value)) {
    handleCancel();
  }
}
export {
  handleCancel,
  handlePromptCancel
};
//# sourceMappingURL=prompts.js.map