interface AllContributorContributor {
    contributions: string[];
    login: string;
}
interface AllContributorsData {
    contributors: AllContributorContributor[];
}
interface PartialPackageData {
    author?: {
        email: string;
        name: string;
    } | string;
    dependencies?: Record<string, string>;
    description?: string;
    devDependencies?: Record<string, string>;
    email?: string;
    name?: string;
    repository?: string;
}

export { AllContributorContributor, AllContributorsData, PartialPackageData };
