import { InputValues } from '../../../../shared/inputs.js';
import 'octokit';

declare function createWorkflows({ owner, repository, }: Pick<InputValues, "owner" | "repository">): {
    "build.yml": string;
    "compliance.yml": string;
    "contributors.yml": string;
    "lint.yml": string;
    "lint-knip.yml": string;
    "lint-markdown.yml": string;
    "lint-package.yml": string;
    "lint-spelling.yml": string;
    "post-release.yml": string;
    "pr-review-requested.yml": string;
    "prettier.yml": string;
    "release.yml": string;
    "test.yml": string;
    "tsc.yml": string;
};

export { createWorkflows };
